cmake_minimum_required(VERSION 3.8)
project(TestingCMakeAbilities)

include_directories(./A)
find_package(PythonInterp 2.7 REQUIRED)

execute_process(
 WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/A"
 COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/A/script.py
)

add_executable(output A/index.h B/main.cpp)
